Name:    kompare
Summary: Diff tool
Version: 14.12.3
Release: 3%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdesdk/kompare
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= 4.14
BuildRequires:  libkomparediff2-devel >= %{version}

Requires:       kate4-part
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

Conflicts:      kdesdk-common < 4.10.80
Obsoletes:      kdesdk-kompare < 4.10.80
Provides:       kdesdk-kompare = %{version}-%{release}
Provides:       mergetool

%description
Tool to visualize changes between two versions of a file

%package libs
Summary: Runtime libraries for %{name}
Obsoletes: kdesdk-kompare-libs < 4.10.80
Provides:  kdesdk-kompare-libs = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
# help upgrade path since newer libkomparediff2 Obsoletes: kompare-libs < 4.11.80
Requires:  libkomparediff2%{?_isa}
%description libs
This package contains shared libraries for %{name}.

%package devel
Summary: Developer files for %{name}
Obsoletes: kdesdk-kompare-devel < 4.10.80
Provides:  kdesdk-kompare-devel = %{version}-%{release}
Requires:  %{name}-libs%{?_isa} = %{version}-%{release}
Requires:  kdelibs4-devel
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kompare --with-kde --without-mo

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:
fi

%files -f kompare.lang
%doc README COPYING COPYING.DOC
%{_kde4_bindir}/kompare
%{_kde4_appsdir}/kompare/
%{_kde4_datadir}/kde4/servicetypes/kompare*.desktop
%{_kde4_libdir}/kde4/komparenavtreepart.so
%{_kde4_libdir}/kde4/komparepart.so
%{_kde4_datadir}/applications/kde4/kompare.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kompare.*
%{_kde4_datadir}/kde4/services/komparenavtreepart.desktop
%{_kde4_datadir}/kde4/services/komparepart.desktop

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkomparedialogpages.so.*
%{_kde4_libdir}/libkompareinterface.so.*

%files devel
%{_kde4_includedir}/kompare/
%{_kde4_libdir}/libkompareinterface.so
%{_kde4_libdir}/libkomparedialogpages.so


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 14.12.3-2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.3-1
- 14.12.3

* Tue Feb 24 2015 Than Ngo <than@redhat.com> - 14.12.2-1
- 14.12.2

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-3
- Requires: kate4-part

* Sun Jan 18 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-2
- kde-applications fixes, cleanup

* Sat Jan 17 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.1-1
- 14.12.1

* Thu Nov 20 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-2
- -libs: Requires: libkomparediff2 (minor upgrade path help)
- -devel: Requires: kdelibs4-devel
- minor cleanup, whitespace

* Sun Nov 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sun Mar 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Wed Aug 14 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11.0

* Wed Aug 07 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
